Ubuntu 8.04 LiveCD fails to boot when RTL8102E LAN chip is enabled - with modprobe abnormal exit on ICH8M laptop

Bug #225749 reported by Hein van Rensburg on 2008-05-02
44
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Nominated for Hardy by Anthony Fok

Bug Description

When trying to run CD, it opens up, allows me to choose language and then when I say use CD, it tries to boot and the crash with the following data:
udevd-event [1557] : run program: '/sbin/modprobe' abnormal exit

I tried to boot with noapic and then got same error but with [1503] code.

Notebook is new Toshiba (A305-S6837) with Intel Core Duo processor, 4 GB ram, 320 Gb HD, chicony usb 2 webcam, realtek HD audion, Intel 965 express graphics, Intel 4965AGN wireless, Realtek RTL 8102E ethernet, pioneer DVD drive, synaptics pointing,

Also tried Kubuntu 8.04 with same result.

It has now been confirmed that it is due to a bug in r8169.c in Linux kernel 2.6.24: a NULL pointer deference and subsequence memory corruption, unable to continue booting, when the driver encounters an unknown MAC version. For example, r8169.c in 2.6.24 recognizes RTL8101E but not RTL8102E.

An initial fix which prevents r8169 from crashing is at http://lkml.org/lkml/2008/4/17/298 and has been packaged by Tim Gardner (Ubuntu Kernel Team) et al. for testing. Missing entries for RTL8102 series need to be added though.

Dimitrios Symeonidis (azimout) wrote :

Try removing "quiet" and "splash" from the boot options. This should replace the boot splash screen with the kernel log flowing up on your screen. Then paste here the last few lines on the screen before the modprobe crash...

Hein van Rensburg (hvralpha) wrote :

Here are 3 pictures of the boot sequence with the splash / quite options removed.
It stops at a different line every time I boot.
Tried several options with apic , noapic, etc on/off with same results.
Let me know if there is any other things I can try.

BTW, I tried PClinuxOS with KDE and Gnome desktops and it boots.

Thanks

Hein van Rensburg (hvralpha) wrote :

Another screen print

Hein van Rensburg (hvralpha) wrote :

Last screen

Dimitrios Symeonidis (azimout) wrote :

Ok, thank you for the screenshots. Basically your boot process encounters an error and exits to the initramfs prompt. I have only encountered this once, while creating a bootable usb stick, the reason was that I had forgotten to copy some of the files, I did the copying process again and it worked fine. I am not sure what advice to give you, I will search a bit and post any ideas here...

Hein van Rensburg (hvralpha) wrote :

Have now run unbuntu 8.o4 and kubuntu 8.04. Still does not complete boot and crash to initramfs.
What borders me is it crashes at a different point every time.
Can having 4Gb ram cause it as I see Linux only recognises 3GB?
Also have seen in the text it says a driver "sd" needs upgrading.

This is a new notebook with latest versions of some items like the wireless card.
Is this the cause?

Dimitrios Symeonidis (azimout) wrote :

Dear Hein,

1) the sd driver warning is not an issue, as discussed in the kernel mailing list:
http://lkml.org/lkml/2008/1/10/286

2) the linux kernel included with ubuntu supports up to 4GB (1+3) of ram, not just 3, so you should be ok (even with more memory, linux doesn't crash, it just uses only the lower 4GB of RAM) (it's possible to see up to 64GB by selecting the CONFIG_HIGHMEM64G option in the kernel and recompiling from source).

3) your boot process does not crash at a different point everytime; instead, due to multiple processes running in parallel, sometimes you get some additional kernel messages after the (initramfs) prompt...

stay tuned, I will try to help you. I need some additional pieces of info from you:
a) if you select older kernels from the grub menu, can you boot successfully? or do you have this problem with all kernels?
b) did you get any error messages during upgrade?
c) when the upgrader asked you to replace the grub menu file (/boot/grub/menu.lst), which option did you choose?

Hein van Rensburg (hvralpha) wrote :

Dear Dimitrios,

Thank you for your comprehensive answers above. Much appreciated.

To answer your questions:

a) I think i can boot from older kernels because I can boot PClinuxos 2007 and Linux Mint 3.0. I cannot see from the new system as I boot from a CD and it never gets to the point of asking me for safe options before it crashes.

b. Have not been able to do upgrade. I have installed the same CD on 3 other computers and it works fine, but on the notebook I just have vista home premium running and I want to make dual boot configuration by rezizing the HD. It crashes long before I get there. I am trying to watch the error messages, but it is to fast in text mode. Any way I can slow it down? I have seen one message

39.845376 EIP: [<c027ad42>] dev_driiver_string + 0x2/0x30 ss:ESP 0068: f7fd3d40
39.84599 --- [ end trace 4c80120366482ef8]
udevd-event run_program \sbin\modprobe abnormal exit

c. Does not get there.

Thanks for your help
Hein

Hein van Rensburg (hvralpha) wrote :

Dear Dimitrios,

Have also seen:
 Clocksource tsc unstable (delta = - 66555414234 ns)
Time: hpet clocksource has been installed.

The it exited to initramfs

Hein

Dimitrios Symeonidis (azimout) wrote :

I also have the tsc clocksource error. It appears in multi-core processors, when one core changes state before the other and their clocksources get out of sync. HPET is a much better time source. You can add the clocksource=hpet parameter to your kernel command, but the error will still come up. However, it is (probably) not the source of your problem. Related reading from the linux kernel mailing list, in 2005: http://lkml.org/lkml/2005/11/4/173

I think the key message here is the abnormal exit of modprobe...

Hein van Rensburg (hvralpha) wrote :

Dimitrios,

I have been able to boot Kubuntu 7.10 with the older kernel.
I can post the logs if it can help.
Just tell me which ones and where to find them.

Thanks

Hein

Dimitrios Symeonidis (azimout) wrote :

Hi Hein, it would be useful to post the output of: lspci, lsusb, dmesg.

Dimitrios Symeonidis (azimout) wrote :

Also the output of lsmod. And please remember to attach them as files, instead of pasting as a message. To create these files, you can run e.g. lspci > lspci.txt or lsmod > lsmod.txt etc

Hein van Rensburg (hvralpha) wrote :

Here are the files requested

Dimitrios Symeonidis (azimout) wrote :

Just adding a summary:

The machine we're talking about is the http://explore.toshiba.com/laptops/satellite/A300/A305-S6837
Graphics is the Intel 965
WiFi is the Intel 4965
Ethernet is the Realtek RTL8102
Audio should be the Intel HDA, but the user reports it's a Realtek??
IDE/SATA I don't know, and it's in my opinion the most suspicious component

The boot process of the 8.04 live cd exits with a "modprobe abnormal exit", which is usually associated with missing modules in the initramfs.

Dimitrios Symeonidis (azimout) wrote :

The audio is indeed an Intel HDA, which should not cause any problems.
IDE/SATA are the 82801HBM/HEM found on the ICH8M southbridge.
I have found other bug reports about modprobe errors on the ICH8.

Hein, try two things:
1) Try disabling the IDE interface from your BIOS. This might stop your DVD drive from working, but might enable you to boot 8.04 for now.
2) Try adding the irqpoll option to your kernel. This is done in the same way that you removed the quiet splash options...

Also, your dmesg starts at 13 seconds, it seems that you just ran the command and selected all visible output from the terminal?

Brian Murray (brian-murray) wrote :

This bug did not have a package associated with it, which is important for ensuring that it gets looked at by the proper developers. You can learn more about finding the right package at https://wiki.ubuntu.com/Bugs/FindRightPackage . I have classified this bug as a bug in linux which is the kernel for Hardy Heron.

Anthony Fok (foka) wrote :

For everybody bitten by this bug: Could you please go into BIOS setting, try to disable your LAN (Ethernet controller), and see if Ubuntu 8.04 Live CD would boot?

There is a bug in r8169.ko module in Linux kernel 2.6.24 which causes a Kernel Oops when it sees new not-yet-unrecognized Ethernet controller. r8169 in 2.6.24 recognizes RTL8101E, but not RTL8102E. That "Oops" causes some memory corruption or whatnot, and the system fails to boot.

Could you please press Shift-PageUp and see if you see a line that looks like this?

        [ 43.851] [<f8889e67>] rtl8169_init_one+0xc4/0xe9 [r8169]

If so, please let us know here. AFAIK, the official Ubuntu kernel developers are aware of this, and is actively working on a fix, with test kernel package working or almost working.

Thanks!

Anthony Fok
ThizLinux Software Co., Ltd.

Hein van Rensburg (hvralpha) wrote :

Ok, I have tested both Ubuntu and Kubuntu 8.04 with the Ethernet Lan disabled and it worked.
Have been able to connect wireless.

Just have to wait for update.

Hein

Anthony Fok (foka) wrote :

Ubuntu Kernel Team is already working on getting this RTL8102E driver - kernel module r8169.ko - to work. Hence, I'm updating it to "In Progress" and assigning this bug to the Ubuntu Kernel Team. Test packages are available here for testing (courtesy of Tim Gardner et al.):

    https://edge.launchpad.net/~timg-tpi/+archive

Hein, thank you for your testing, and I'm glad that Ubuntu 8.04 can startup when LAN is disabled. Could you please try out the latest test kernel packages (2.6.24-18-generic), enable LAN in the BIOS, and see if your machine can boot up successfully? With the new kernel, the machine is supposed to boot up normally (without kernel Oops), though RTL8102E LAN might not yet work. In that case, could you please attach your dmesg output here? Many thanks!

Anthony

Changed in linux:
assignee: azimout → ubuntu-kernel-team
status: New → In Progress
Dimitrios Symeonidis (azimout) wrote :

Clarification for Hein, obviously you cannot test packages with the live cd, you have to install Ubuntu 8.04 and then install the package above. Thank you for your help testing this bug...

Hein van Rensburg (hvralpha) wrote :

Anthony/Dimitrios,

I looked at Tim's launchpad site referenced and added the first deb line and downloaded the packages from the depositories.

Questions :
1. Do I also add the second deb line?
2. I now see many kernel packages ( 2.6.24.18 ) under adept.

Which ones should I load? Sorry for the question. Just wanted to be sure for the testing.
Thanks
Hein

Dimitrios Symeonidis (azimout) wrote :

Anthony can confirm, but:
1) no, you don't need the deb-src repository, it's the source code
2) you should choose the package linux - 2.6.24-18.32ubuntu6

Anthony Fok (foka) on 2008-05-19
description: updated
Hein van Rensburg (hvralpha) wrote :

I loaded the 2.6.24-18.32ubuntu6 kernel headers and image and tested the system. ( No generic meta package I could find)

My ethernet lan port now connects to my router and gets an IP address. So it looks like the fix is working.

My wlan0 and dsl dailup does not work (pppoeconf), but I guess this is just a test kernel for the lan (eth0) interface.

Also attached my dsmeg output as requested.

Let me know if I need to do more testing.

Thanks for the great and quick effort by all involved.

Hein

Keith Neal (keinea) wrote :

I also am experiencing the same problem with my Toshiba A305 S6825 laptop. When the on-board LAN is enabled, the system fails to launch into the desktop, but drops to the BusyBox (initramfs) command line prompt.

Once disabling the on-board NIC, I was able to boot up the LiveCD and install Ubuntu 8.04 Hardy Heron. Due to no external network connectivity, I was able to install all the applications (via an APTonCD) that was created from my main desktop computer.

Currently uname -a for my laptop is as follows:

Linux ubuntu-mobile 2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686 GNU/Linux

I would be interested in testing the kernel patches, but I not sure how to go about it. Is there an info link
available explaining the procedures to take to accomplish this.

I pretty much have my laptop the way I want it; I just need a network connection now, and I currently do not have a wireless router, so I'm stuck with the wired NIC at the moment.

I've also posted topics related to this issue at the Ubuntu forum - username keinea:

http://ubuntuforums.org/showthread.php?p=5000154&posted=1#post5000154

Any assistance with be greatly appreciated.

Sincerely,
Keith Neal
<email address hidden>

Hein van Rensburg (hvralpha) wrote :

Keith, look at the mails in the bug report. It has all the links and references to do that test you want to do.
I tested it on my Toshiba A306 and it works.

Hein

Keith Neal (keinea) wrote :

Hein,

Thank you for the info ... These are the two packages that I downloaded and installed;

 1st install, linux-headers-2.6.24-18_2.6.24-18.32ubuntu6_all.deb

 2nd install, linux-image-2.6.24-18-generic_2.6.24-18.32ubuntu6_i386.deb

uname -a results:
Linux ubuntu-mobile 2.6.24-18-generic #1 SMP Sat May 17 09:50:59 UTC 2008 i686 GNU/Linux

I'm now able to connect to the Internet via the wired network interface. I'll have to take a trip over to a friends house this weekend to see if the wireless connection works. My laptop appears to be very similar to yours; the only difference that I see is I have a 250 GB Toshiba drive, and 3 GB of memory.

Sincerely,
Keith Neal

Keith Neal (keinea) wrote :

I discovered this morning that my sound (audio) applications are broken.

I suspect since Hein, upgraded his system without any problems, that I probably used an incorrect procedure when I upgraded the kernel header and image packages on my laptop yesterday.

Basically I downloaded the two kernel deb packages to a temporary folder on my desktop (see previous message entry above). When I clicked on one, the gdebi-gtk 0.3.8 GUI deb installer dialog box opened. A message stated that all dependencies were satisfied, and to click on the button to install. I did this for the kernel header package first, and then the image package.

I re-enabled my on-board network interface in CMOS, and then from the Grub menu I launched into the upgraded Ubuntu 8.04 kernel 2.6.24-18-generic package. The system booted into the desktop without dropping to the BusyBox prompt, and I was able to browse the Internet. It was only this morning that I realized that I had no audio.

If I launch into the earlier kernel from the Grub menu -- Ubuntu 8.04 kernel 2.6.24-16-generic, then the audio works fine (of course I still have to disable the on-board network interface when launching into this version).

My question is --- should I have used the console command line installation procedures, and if so, what options or switches should be used, and I'm assuming I should have used the apt-get utility . This is my first time at manually upgrading kernel headers and images.

I've attached an archived Audio_Issues.tar.gz file, which contains three text documents. Two of the files show the lshw, lspci, modprobe results for both the 2.6.24.16-generic configuration, and the 2.6.24.18-generic configuration (broken audio). The ls_comparison.txt file is a comparison between the /lib/modules/2.6.24-16-generic/ directory and the /lib/modules/2.6.24-18-generic/ directory. which presents a big clue that procedures were not executed properly.

Any assistance would be greatly appreciated, thank you.

Sincerely,
Keith Neal

Hein van Rensburg (hvralpha) wrote :

Keith,

I suspect the 2.6.24.18 ubuntu6 kernel was only done to test the updated LAN interface module and it did not include drivers for some other interfaces. My sound and wireless did not work and either. I hope ubuntu will bring out a full featured .18 kernel which works for all the systems.

I disabled the LAN and is working from my wireless until they get it fixed and compiled. (Removed network manager, installed wicd and used sudo pppoeconf for my dsl connection)

You might ask Dimitrios and Anthony how to go about getting your sound to work.

Hein

Dimitrios Symeonidis (azimout) wrote :

Keith, did you install the two modules packages also? They're in the same ppa repository, named
linux-backports-modules-2.6.24 - 2.6.24-18.16ubuntu1
and
linux-ubuntu-modules-2.6.24 - 2.6.24-18.26ubuntu2

If not, please do and tell us if that solved the problem? Otherwise Tim (or Anthony) have to check if they removed any modules from the 24-18 kernel that were included in the 24-16...

Keith Neal (keinea) wrote :

hello Dimitrios,

Thank-you for the response; installing those additional packages solved the broken audio issue on my laptop.

I downloaded and installed the modules and backports-modules from the following links:

   http://ppa.launchpad.net/timg-tpi/ubuntu/pool/main/l/linux-backports-modules-2.6.24/

   linux-backports-modules-2.6.24-18-generic_2.6.24-18.16ubuntu1_i386.deb

   http://ppa.launchpad.net/timg-tpi/ubuntu/pool/main/l/linux-ubuntu-modules-2.6.24/

   linux-ubuntu-modules-2.6.24-18-generic_2.6.24-18.26ubuntu2_i386.deb

To summarize; I installed the following packages:

   1st install, linux-headers-2.6.24-18_2.6.24-18.32ubuntu6_all.deb

 2nd install, linux-image-2.6.24-18-generic_2.6.24-18.32ubuntu6_i386.deb

   3nd install, linux-backports-modules-2.6.24-18-generic_2.6.24-18.16ubuntu1_i386.deb

 4th install, linux-ubuntu-modules-2.6.24-18-generic_2.6.24-18.26ubuntu2_i386.deb

The first and second package solved the on-board network interface issue, and the third and fourth packages
 took care of the broken audio issue.

I don't have a wireless
 router to test the WLan interface, but from what I've read from other forum topics, the wireless works okay out of the box.

My wired NIC is working, the media apps are working, the Compiz/Fusion 3D Cubed effects are working. And the same applications that I also have installed on my desktop are working.
My Toshiba Satellite A305 S6825, appears to be ready for prime time and show-and-tell.

I now need to go make a backup image of this box before going to bed tonight.

Thanks again.

Sincerely,

Keith

AshR (ashforcash) wrote :

Hello,

FYI I have run into the same problem with my new Intel Atom 230 (diamondville) motherboard + Xubuntu 8.04. This motherboard uses the RTL8102EL network chip. Disabling allows livecd/installation to boot, enabling breaks it with the udevd_event error message.

Dimitrios Symeonidis (azimout) wrote :

Does the new kernel (2.6.24-18) released 03/06/2008 solve the problem? Should we close the bug report?
http://www.ubuntu.com/usn/usn-614-1

Keith Neal (keinea) wrote :

I haven't experienced any issues since applying all the patches on May 28, 2008. The only device that
I haven't tried to use is the on-board WebCam. From what I've read in other forums though, that seems to be a none issue.

Once again, thank you for the help in solving this problem.

Sincerely,
Keith Neal

Toshiba Laptop A305 S6825

Intel Core 2 Duo Processor T5550

3072 MB PC5300 DDR2 SDRAM

uname -a

Linux ubuntu-mobile 2.6.24-18-generic #1 SMP Sat May 17 09:50:59 UTC 2008 i686 GNU/Linux

lspci

00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 03)

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)

00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)

00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)

00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)

00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)

00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)

00:1c.4 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 5 (rev 03)

00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)

00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)

00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)

00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)

00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)

00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)

00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)

00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03)

00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)

02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E PCI Express Fast Ethernet controller (rev 02)

03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)

06:06.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)

06:06.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)

06:06.2 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)

06:06.3 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 12)

lsusb
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 007 Device 001: ID 0000:0000
Bus 006 Device 001: ID 0000:0000
Bus 005 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 002: ID 04f2:b008 Chicony Electronics Co., Ltd
Bus 001 Device 001: ID 0000:0000

Yes Dimitrios,

I vote for closing the bug. Everything is working well.

Keith, You can test the video using skype. Mine works.

Great job everybody!

Hein

On Thursday 05 June 2008 01:12:08 Dimitrios Symeonidis wrote:
> Does the new kernel (2.6.24-18) released 03/06/2008 solve the problem?
> Should we close the bug report? http://www.ubuntu.com/usn/usn-614-1

Esa (esa-ftw) wrote :

Hello,

I also have Intel's Atom based motherboard (D945GCLF) and like others had problems with the LAN.
In case it is of any help to someone, here are the steps I went through:

 - Installing from Ubuntu 8.04 CD (64-bit version) worked once LAN was disabled in BIOS, but
   enabling the LAN later still resulted a crash during the boot process.
 - After installing the latest kernel-package (2.6.24-19) from https://edge.launchpad.net/~timg-tpi/+archive
   the system booted ok, and eth0 was found. However, eth0 did not still work (timeouts).
 - Then I downloaded "linux-image-2.6.25-2-amd64_2.6.25-4_amd64.deb" from the Debian/testing repository,
  and installed it with the dpkg. After this everything, including eth0, seems to be working properly.

Esa

Daniel Hahler (blueyed) on 2008-06-11
Changed in openvz-kernel:
status: New → Invalid
Dimitrios Symeonidis (azimout) wrote :

So, since the -19 kernel does not fully fix the issue, the bug status is still in progress... However, I think it's wrong that the importance is still undecided...
According to the rules in https://wiki.ubuntu.com/Bugs/Importance, it seems the importance should be set to Medium. I'm changing the importance now.

carlo82 (carlosaccone) wrote :

Great! thanks everybody! Thanks Esa! I tried your suggestions and my LAN works!
Just to make it clear for anybody who could have similar problem, I'm posting exactly what I did:

My notebook is a toshiba L300-11A (PSLB0E)

NB: please read the whole thread before following this how-to to make sure you have the same problem as I had

1) disable your LAN from the bios
2) install ubuntu 8.4
3) download the files from the links above and copy to your pc (home folder, desktop....don't think that's relevant)

NB: numbers here may change with new releases...don't panic just look for similar files (also be careful locating the ones that match your hardware configuration) and everything will be ok. (mail me if you want the files I used)

4) install linux-headers-2.6.24-19_2.6.24-19.33ubuntu11_all.deb (simply double-click and give your sudo password)
5) install linux-image-2.6.25-2-686_2.6.25-4_i386.deb
6) install linux-backports-modules-2.6.24-19-generic_2.6.24-19.18ubuntu3_i386.deb
7) install linux-ubuntu-modules-2.6.24-19-generic_2.6.24-19.28ubuntu3_i386.deb

8) reboot, enable your lan from the bios.
9) at grub prompt choose kernel 2.6.25-2 (it should be the first option)
10) have a beer, and enjoy your lan working!

I used the latest files found following links provided above, so thanks everybody, great job!

to find the latest linux-image as ESA said, I just googled for
linux-image-2.6.25 deb

hope anything is clear now also for a beginner!

carlo

carlo82 (carlosaccone) wrote :

obviously I meant download those files from a working pc on a usb stick and then move them to your offline ubuntu...

Daniel Hahler (blueyed) on 2008-06-16
Changed in linux:
importance: Undecided → Medium

I ran into exactly the above problem with the ethernet driver on a new Intel Atom.

After reading the above, I downloaded the latest daily hardy-server-i386 iso [1] (as at 2008-06-18) and it installed correctly out-of-the-box. Thanks to those responsible for the quick work.

[1] http://cdimages.ubuntu.com/ubuntu-server/hardy/daily/current/

Massoud Mazar (mazar-mazsoft) wrote :

I tried the above hardy server build (2008-06-18) on a D945GCLF Intel Atom board and it did install fine, but network adapter (RTL 8101E) does not work. Still need to install debian images as Carlo82 mentioned.

Esa (esa-ftw) wrote :

I was also a little bit puzzled with this. As of now I am running Ubuntu 2.6.24-19-generic kernel on D945GCLF board,
and it seems that eth0 gets initialized properly roughly every second time. This rough estimate is based
on a sample of maybe 6 reboots (power off). Once it gets initialized properly, there are no problems running it
for days. Note that I have not tried this with Debian/testing kernel, but the same problem might exist also there?

Massoud Mazar (mazar-mazsoft) wrote :

After installing linux-image-2.6.25-2-686_2.6.25-5_i386.deb on top of 2.6.24-19 my network connection has worked fine with multiple reboots.

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Hein van Rensburg (hvralpha) wrote :

Leanne,

Could you provide a link for the image and I will download and test.

Thanks
hein

On Thu August 28 2008 20:16:52 Leann Ogasawara wrote:
> The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the
> upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would
> appreciate it if you could please test this newer 2.6.27 Ubuntu kernel.
> There are one of two ways you should be able to test:
>
> 1) If you are comfortable installing packages on your own, the linux-
> image-2.6.27-* package is currently available for you to install and
> test.
>
> --or--
>
> 2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer
> 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4.
> Please watch http://www.ubuntu.com/testing for Alpha5 to be announced.
> You should then be able to test via a LiveCD.
>
> Please let us know immediately if this newer 2.6.27 kernel resolves the
> bug reported here or if the issue remains. More importantly, please
> open a new bug report for each new bug/regression introduced by the
> 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please
> specifically note if the issue does or does not appear in the 2.6.26
> kernel. Thanks again, we really appreicate your help and feedback.
>
> ** Tags added: cft-2.6.27

arief trianto (otnairt) wrote :

hi everybody,

i just bought axioo pico, with atom intel inside. i also have the same problem installing ubuntu 8.04. but i can't find the lan setting in my bios. . the only setting that mention lan is in boot menu, the fifth boot is from "network". then i try to disable it, still have the same problem, only the number is changed form [1557] to [4xxx] i forgot.

what should i do then?

my first running OS is XP home (guess got nothing to do with that).

Hi Hein,

Take a look at http://www.ubuntu.com/testing/intrepid/alpha5 for more information. Specifically, you'll probably want http://cdimage.ubuntu.com/releases/intrepid/alpha-5 . Thanks and let us know your results if you are able to test.

Changed in linux:
status: In Progress → Incomplete
Steve Murphy (steve-murphy) wrote :
Download full text (3.6 KiB)

Just tried the 2.6.27-3 kernel with 8.10 Alpha5 64bit (updates from this morining) on a Intel DG945GCLF Board & network problems are back (was working most times with 2.6.26-5, but not on every boot). Network manager says network is connected ok, ifconfig shows its got an IP but i get "Destination Host Unreachable" when i ping my router. Have tried bringing up interface manually & get the same symtons.

I get this in the messages file...

[ 45.575756] [drm] Initialized drm 1.1.0 20060810
[ 45.659450] pci 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 45.659480] pci 0000:00:02.0: setting latency timer to 64
[ 45.660619] [drm] Initialized i915 1.6.0 20060119 on minor 0
[ 46.264034] r8169: eth0: link up
[ 46.989201] NET: Registered protocol family 17
[ 154.816022] NETDEV WATCHDOG: eth0 (r8169): transmit timed out
[ 154.816054] ------------[ cut here ]------------
[ 154.816060] WARNING: at /build/buildd/linux-2.6.27/net/sched/sch_generic.c:221 dev_watchdog+0x271/0x290()
[ 154.816067] Modules linked in: xt_limit xt_tcpudp ipt_LOG ipt_MASQUERADE xt_DSCP ipt_REJECT nf_conntrack_irc nf_conntrack_ftp xt_state af_packet i915 drm ppdev cpufreq_userspace cpufreq_stats cpufreq_powersave cpufreq_ondemand freq_table cpufreq_conservative container video output sbs sbshc wmi pci_slot battery ac smsc47m1 smsc47m192 hwmon_vid i2c_i801 i2c_core lp snd_hda_intel snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_dummy serio_raw psmouse snd_seq_oss snd_seq_midi parport_pc parport snd_rawmidi snd_seq_midi_event snd_seq iTCO_wdt iTCO_vendor_support snd_timer snd_seq_device button snd soundcore snd_page_alloc shpchp pci_hotplug intel_agp evdev iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack iptable_mangle iptable_filter ip_tables x_tables ext3 jbd mbcache sg sr_mod cdrom sd_mod crc_t10dif ata_piix ata_generic pata_acpi libata scsi_mod dock uhci_hcd ehci_hcd r8169 usbcore thermal processor fan fbcon tileblit font bitblit softcursor uvesafb cn fuse
[ 154.816226] Pid: 0, comm: swapper Not tainted 2.6.27-3-generic #1
[ 154.816234]
[ 154.816235] Call Trace:
[ 154.816242] <IRQ> [<ffffffff8024e8b4>] warn_on_slowpath+0x64/0x90
[ 154.816266] [<ffffffff8025a73b>] ? lock_timer_base+0x3b/0x70
[ 154.816274] [<ffffffff8025aa34>] ? __mod_timer+0xc4/0xe0
[ 154.816283] [<ffffffff80262848>] ? queue_delayed_work_on+0xd8/0x100
[ 154.816292] [<ffffffff80263281>] ? queue_delayed_work+0x21/0x40
[ 154.816300] [<ffffffff80495061>] dev_watchdog+0x271/0x290
[ 154.816308] [<ffffffff8026cc0c>] ? sched_clock_cpu+0xcc/0x160
[ 154.816315] [<ffffffff80259c8b>] ? cascade+0x8b/0xb0
[ 154.816323] [<ffffffff80494df0>] ? dev_watchdog+0x0/0x290
[ 154.816330] [<ffffffff80259f09>] run_timer_softirq+0x179/0x260
[ 154.816339] [<ffffffff80271434>] ? clockevents_program_event+0x54/0xa0
[ 154.816348] [<ffffffff80254c7c>] __do_softirq+0x8c/0x100
[ 154.816357] [<ffffffff802141ac>] call_softirq+0x1c/0x30
[ 154.816363] [<ffffffff802158a5>] do_softirq+0x65/0xa0
[ 154.816371] [<ffffffff802549e5>] irq_exit+0x95/0xa0
[ 154.816379] [<ffffffff802268e9>] smp_apic_timer_interrupt+0x89/0xc0
[ 154.816387] [<ffffffff802139b3>] apic_timer_interrupt+0x83/0x90
[ 154.816...

Read more...

albinootje (albinootje) wrote :

Yesterdaynight i got a Toshiba Satellite L300 from a friend to work with, also with the RTL-8102E NIC on it
(The NIC was not working yet).
Today i installed a fresh install from the Ubuntu Intrepid i386-alternate cdrom (Just to be sure i had the NIC disabled
in the BIOS during install), and the NIC works without any problems so far!

Great work linux-kernel-developers and Ubuntu-team! Thanks a lot! :)

albinootje (albinootje) wrote :

Forgot to mention. That was the Ubuntu Intrepid Alpha-6 cdrom. With the included 2.6.27-3 kernel.

aantoon (harpitap) wrote :

after i left albinootje i continue trying to get the wireless rtl8187b to work. after a reboot the LAN stopped working. couldn't get it to work again.
ifconfig gives a eth0
ifdown gives interface not configured
dhclient Will not give a ip
seems that somehow the kernel recognize the chip but only that, something is missing?

aantoon (harpitap) wrote :

because it is a new kernel in development i start a new thread for the bug 225749.

kernel 2.6.27-3-generic
chip-set rtl8102e
os Ubuntu Intrepid Alpha-6
comp Toshiba Satellite L300

no problems installing intrepid even with LAN enabled in the bios. network at installation will not work. but first time start up gives a fully working rtl8102e.
reboot give a eth0 but not a ip
and here it comes

doing a warm reboot, hit the bios, disable LAN, continue boot, surely eth0 is not there
but
do a warm reboot again, hit bios, enable LAN, continue reboot and ta-ta eth0 is working again.
i know it is a dumb workaround but it works. can this workaround be confirmed, mention outcome of "uname-r"
if you need more info, let me know.

Steve Murphy (steve-murphy) wrote :
Download full text (3.8 KiB)

Just tried the 2.6.27-4-generic kernel, same problem, no network connection.

Also looks related to bug 240470.

uname -a
Linux pc-64 2.6.27-4-generic #1 SMP Mon Sep 22 04:40:15 UTC 2008 x86_64 GNU/Linux

lspci -vv
01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev ff) (prog-if ff)
 !!! Unknown header type 7f
 Kernel driver in use: r8169
 Kernel modules: r8169

In messages file after trying to ping my router...

[ 48.386666] [drm] Initialized drm 1.1.0 20060810
[ 48.477882] pci 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 48.477901] pci 0000:00:02.0: setting latency timer to 64
[ 48.478458] [drm] Initialized i915 1.6.0 20060119 on minor 0
[ 48.648550] r8169: eth0: link up
[ 49.025233] NET: Registered protocol family 17
[ 156.804031] ------------[ cut here ]------------
[ 156.804044] WARNING: at /build/buildd/linux-2.6.27/net/sched/sch_generic.c:219 dev_watchdog+0x272/0x280()
[ 156.804051] NETDEV WATCHDOG: eth0 (r8169): transmit timed out
[ 156.804056] Modules linked in: xt_limit xt_tcpudp ipt_LOG ipt_MASQUERADE xt_DSCP ipt_REJECT nf_conntrack_irc nf_conntrack_ftp xt_state af_packet i915 drm ppdev cpufreq_userspace cpufreq_stats cpufreq_powersave cpufreq_ondemand freq_table cpufreq_conservative container video output sbs sbshc wmi pci_slot battery ac smsc47m1 smsc47m192 hwmon_vid i2c_i801 i2c_core lp snd_hda_intel snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_dummy serio_raw psmouse snd_seq_oss snd_seq_midi snd_rawmidi parport_pc parport snd_seq_midi_event snd_seq snd_timer snd_seq_device button iTCO_wdt iTCO_vendor_support snd soundcore snd_page_alloc intel_agp shpchp pci_hotplug evdev iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack iptable_mangle iptable_filter ip_tables x_tables ext3 jbd mbcache sg sd_mod sr_mod crc_t10dif cdrom ata_piix ata_generic pata_acpi libata scsi_mod dock r8169 uhci_hcd ehci_hcd usbcore thermal processor fan fbcon tileblit font bitblit softcursor uvesafb cn fuse
[ 156.804216] Pid: 0, comm: swapper Not tainted 2.6.27-4-generic #1
[ 156.804223]
[ 156.804224] Call Trace:
[ 156.804232] <IRQ> [<ffffffff8024e83c>] warn_slowpath+0xbc/0xf0
[ 156.804256] [<ffffffff8026ac7f>] ? hrtimer_start+0xdf/0x1b0
[ 156.804264] [<ffffffff8026af51>] ? ktime_get_ts+0x61/0x70
[ 156.804274] [<ffffffff80246113>] ? hrtick_start_fair+0x173/0x190
[ 156.804282] [<ffffffff802462b7>] ? enqueue_task_fair+0x57/0x60
[ 156.804289] [<ffffffff8023c2b0>] ? enqueue_task+0x50/0x60
[ 156.804297] [<ffffffff80245d6d>] ? resched_task+0x2d/0x90
[ 156.804307] [<ffffffff802a6dc3>] ? ftrace_record_ip+0x173/0x290
[ 156.804317] [<ffffffff802126a4>] ? mcount_call+0x5/0x31
[ 156.804325] [<ffffffff803aa18a>] ? strlcpy+0x4a/0x60
[ 156.804333] [<ffffffff80494d72>] dev_watchdog+0x272/0x280
[ 156.804340] [<ffffffff8026cc2c>] ? sched_clock_cpu+0xcc/0x160
[ 156.804350] [<ffffffff80219d56>] ? read_tsc+0x16/0x40
[ 156.804357] [<ffffffff80494b00>] ? dev_watchdog+0x0/0x280
[ 156.804365] [<ffffffff80259f29>] run_timer_softirq+0x179/0x260
[ 156.804374] [<ffffffff80271484>] ? clockevents_program_event+0x54/0xa0
[ 156.804383] [<ffffffff80254c9c>] __...

Read more...

Changed in linux:
status: Incomplete → New
status: New → Triaged
Luke Barrett (swooshou) wrote :

I have an HP mini 1030nr. 1.6 Ghz Atom processor. Ubuntu 8.10

My ethernet is not working and is not being recognized at all. I'm a complete newbie so after running some suggested commands from the ubuntuforums.org site, this seems to be some important information that matches the problems listed here.

*-network UNCLAIMED
       description: Ethernet controller
       product: 88E8040 PCI-E Fast Ethernet Controller
       vendor: Marvell Technology Group Ltd.
       physical id: 0
       bus info: pci@0000:02:00.0
       version: 00
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress cap_list
       configuration: latency=0

It's frustrating not having ethernet work while I'm at work. Any help would be great.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Thomas (teoverton) wrote :

I've got a Jetway JNC91-230-LF ATOM 1.6GHz Mainboard with Realtek RTL8102E.

Ethernet has just stopped working today. Was working fine for weeks on intrepid. Nothing has been changed, just eth0 will no longer be assigned an ip address. I've removed the network connections. redone network, tried static ip, tried DHClient...nothing. Rebooted several times to see if it would help...nada.

I've posted this here as it sounds similar to above. Anyone have any ideas... is this the same bug resurfacing?

Thomas

Rick Silva (silvari) wrote :

@ Luke Barrett

The HP 1030NR does not have the Ethernet controller being discussed in this bug report. The 1030NR uses a Marvell Yukon NIC.

However, you may find it reassuring to know you are not the only one experiencing the problem where the NIC does not function under Ubuntu Intrepid. I also have a 1030NR and can not get the wired NIC working (works fine under WinXP though). Have not done much troubleshooting yet, but it appears that a driver for the NIC is not being loaded, or the hardware device is not being recognized. Hope this helps.

Ra'id Jamali (raid-aljamali) wrote :

@ Thomas

The RTL 8102E doesn't have a native driver under 8.10. Instead the r8169 module gets loaded, which may be the cause of your issues. One solution is to compile a driver for RTL8101/8102 using sources from Realtek.

Have a look at:
http://en.alessiotreglia.com/articles/how-to-compile-r8168-and-r8101-modules-for-realtek-ethernet-adapters/

Ra'id Jamali
Thanks for the info ... I will give that a try ASAP. It is much
appreciated.
Thomas

On Sun, Jan 4, 2009 at 2:26 PM, Ra'id Jamali <email address hidden>wrote:

> @ Thomas
>
> The RTL 8102E doesn't have a native driver under 8.10. Instead the r8169
> module gets loaded, which may be the cause of your issues. One solution
> is to compile a driver for RTL8101/8102 using sources from Realtek.
>
> Have a look at:
>
> http://en.alessiotreglia.com/articles/how-to-compile-r8168-and-r8101-modules-for-realtek-ethernet-adapters/
>
> --
> Ubuntu 8.04 LiveCD fails to boot when RTL8102E LAN chip is enabled - with
> modprobe abnormal exit on ICH8M laptop
> https://bugs.launchpad.net/bugs/225749
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in OpenVZ kernel (patchset): Invalid
> Status in "linux" source package in Ubuntu: Triaged
>
> Bug description:
> When trying to run CD, it opens up, allows me to choose language and then
> when I say use CD, it tries to boot and the crash with the following data:
> udevd-event [1557] : run program: '/sbin/modprobe' abnormal exit
>
> I tried to boot with noapic and then got same error but with [1503] code.
>
> Notebook is new Toshiba (A305-S6837) with Intel Core Duo processor, 4 GB
> ram, 320 Gb HD, chicony usb 2 webcam, realtek HD audion, Intel 965 express
> graphics, Intel 4965AGN wireless, Realtek RTL 8102E ethernet, pioneer DVD
> drive, synaptics pointing,
>
> Also tried Kubuntu 8.04 with same result.
>
> It has now been confirmed that it is due to a bug in r8169.c in Linux
> kernel 2.6.24: a NULL pointer deference and subsequence memory corruption,
> unable to continue booting, when the driver encounters an unknown MAC
> version. For example, r8169.c in 2.6.24 recognizes RTL8101E but not
> RTL8102E.
>
> An initial fix which prevents r8169 from crashing is at
> http://lkml.org/lkml/2008/4/17/298 and has been packaged by Tim Gardner
> (Ubuntu Kernel Team) et al. for testing. Missing entries for RTL8102 series
> need to be added though.
>

Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Triaged a while ago but has not had any updated comments for quite some time. Please let us know if this issue remains in the current Ubuntu release, http://www.ubuntu.com/getubuntu/download . If the issue remains, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: Triaged → Incomplete
Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu release http://www.ubuntu.com/getubuntu/download . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Expired

I experienced this bug when trying to start Ubuntu 18.04.2 Live DVD on an ASUS R515M.
What happened was that the screen was blank, at first I thought the issue is with UEFI... I edited grub boot options for Linux (adding "nomodeset" instead of "quite splash") and then I saw the logs about r8169, where loading stopped.

I tried following the instructions from this bug report to disable LAN from the BIOS, but to no avail (there wasn't such an option, at least I couldn't find it).

The workaround finally was to add to the grub boot options: "modprobe.blacklist=r8169".
With this I managed to start Ubuntu Live DVD.

May be useful for someone :)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers